-- COMMANDS
SLASH_GROTS1 = '/grots'; 

function SlashCmdList.GROTS(msg, editbox)
    local _, _, cmd, args = string.find(msg, "%s?(%w+)%s?(.*)");
    if (args ~= nil) then
        args = grots.aSplit(args, " ")
    else
        args = {};
    end
    cmd = cmd or "";
    cmd = string.lower(cmd)

    if (cmd == "announce" or cmd == "a") then
        if (table.getn(args) > 0 and args[1] ~= "") then
            grots.AnnounceToClients(args);
        else
            grots.msg("Missing announcement scope");
            grots.DisplayHelp();
        end
    elseif (cmd == "who") then
        grots.PollClients();
    elseif (cmd == "buffs") then
        grots.CheckForBuffs();
    elseif (cmd == "list") then
        grots.ListPlayers(args)
    else
        grots.DisplayHelp();
    end
end

function grots.DisplayHelp()
    grots.msg("Commands:");
    for mi,value in pairs(grots.usercommands) do
        if (value["helpdesc"] ~= nil) then
            grots.msg(" "..mi.." - ".. value["helpdesc"]);
        else
            grots.msg(" "..mi);
        end
        if (type(value) == "table") then
            for si,sval in pairs(value) do
                if (sval["helpdesc"] ~= nil) then
                    grots.msg("   "..si.." - "..sval["helpdesc"])
                end
            end
        end
     end
end